Skip to main content
GET
/
sources
/
{source_id}
/
content
Get Source Content
curl --request GET \
  --url https://apigcp.trynia.ai/v2/sources/{source_id}/content \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "content": "",
  "metadata": {},
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

source_id
string
required

Query Parameters

type
enum<string> | null

Source type hint

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive
path
string | null

Path or virtual path

url
string | null

Direct URL (documentation)

branch
string | null

Repository branch

page
integer | null

PDF page number

tree_node_id
string | null

PDF tree node identifier

line_start
integer | null

Starting line number

line_end
integer | null

Ending line number

max_length
integer | null

Maximum content length

Response

Successful Response

Response for source content retrieval.

success
boolean
required

Whether retrieval succeeded

content
string
default:""

Source content

metadata
Metadata · object

Content metadata

error
string | null

Error message if failed